Subject: Re: [BUG] New Kernel Bugs

From: Adrian Bunk <[email-masked]>
Date: Tue, 13 Nov 2007 21:04:07 +0100

On Tue, Nov 13, 2007 at 07:46:49PM +0000, Russell King wrote:
> On Tue, Nov 13, 2007 at 08:30:35PM +0100, Adrian Bunk wrote:
> > There is this silly limit that noone can work more than 168 hours per 
> > week on the Linux kernel, and some kernel developers seem to take the 
> > liberty of spending even less time on kernel development...
> 
> That limit of 168 hours applies all around the world to everyone.
> Moreover, not all kernel developers are employed to hack on the
> kernel for 168 hours a week.
> 
> For me, personally, that figure is in reality about 24 hours a
> week.  Yes, just 24.  The rest of the time (like *now*) is time I'm
> volunteering because I happen to be reading my email...
> 
> ... and happen to be wasting replying to discussions like this rather
> than reading that message which has just arrived on the ARM kernel
> mailing list from someone having problems using copy_from_user()
> with a kernel pointer.
> 
> So, please, stop this idea that somehow kernel developers can
> somehow spend infinite amounts of time solving lots and lots of
> bugs.

Sorry, that happens when using irony in a non-native language...

What I wanted to express:
Noone has unlimited time for kernel development.

> Russell King

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed